E-Arogya - Feature #235

[Security Audit Round 2 ]
01/05/2024 11:50 AM - Kalyan Battula

Status: New Start date: 01/05/2024
Priority: High Due date: 08/05/2024
Assignee: % Done: 23%
Category: Estimated time: 0:00 hour
Target version: Security Audit Spent time: 0:00 hour
Deployed In: Category:

Description

Security Audit Round 2

Subtasks:

Feature # 241: [Security Audit Round 2 ] Password Returned in Response

Feature # 245: [Security Audit Round 2 ] Insecure Data Storage (Reopened)

Feature # 248: [Security Audit Round 2 ] Framework Obsolete Version in usage (Repeated)
Feature # 250: [Security Audit Round 2 ] Sensitive Information Disclosure (Repeated)
Feature # 254: [Security Audit Round 2] OTP Bypass (Repeated)

Feature # 256: [Security Audit Round 2
Feature # 258: [Security Audit Round 2

]

] Improper Session Management / Session Expirat...

]
Feature # 260: [Security Audit Round 2 ] OTP Bruteforce (Reapeated)

]

]

]

Weak Password Policy (Repeated)

Feature # 261: [Security Audit Round 2
Feature # 263: [Security Audit Round 2 ] Client side bypass / Improper server side vali...

Application Logic Bypass (Reapeated)

Feature # 265: [Security Audit Round 2 ] Host Header Injection

Feature # 267: [Security Audit Round 2 ] Default pages disclosed

Feature # 268: [Security Audit Round 2 ] Cross Origin Resource Sharing (CORS) Misconfig...

Feature # 269: [Security Audit Round 2 ] Security headers are not Implemented (Repeted)
Feature # 379: [Security Audit Round 2 ] Security headers are not Implemented login screen

Feature # 272: [Security Audit Round 2 ] Improper Error Handling

Feature # 275: [Security Audit Round 2] Cross-Site Request Forgery (CSRF) (Repeated)
Feature # 381: [Security Audit Round 2 ] Cross-Site Request Forgery Ul (CSRF) (Repeated)

Feature # 278: [Security Audit Round 2 ] Sensitive Data Passed Through URL Parameters ...

Feature # 282: [Security Audit Round 2 ] Technology/Version Disclosure

Feature # 284: [Security Audit Round 2 ] Clickjacking Attack (Repeated)

Feature # 286: [Security Audit Round 2 ] Port misconfiguration (Repeated)

Feature # 347: [Security Audit Round 2] Stopping future dates in entire application
History

#1 - 30/04/2024 11:57 PM - Kalyan Battula
- Subtask #241 added

#2 - 01/05/2024 12:07 AM - Kalyan Battula
- Subtask #245 added

#3 - 01/05/2024 12:13 AM - Kalyan Battula
- Subtask #248 added

#4 - 01/05/2024 12:17 AM - Kalyan Battula
- Subtask #250 added

#5 - 01/05/2024 12:21 AM - Kalyan Battula
- Subtask #254 added
#6 - 01/05/2024 12:23 AM - Kalyan Battula
- Subtask #256 added

#7 - 01/05/2024 12:26 AM - Kalyan Battula
- Subtask #258 added

#8 - 01/05/2024 12:28 AM - Kalyan Battula
- Subtask #260 added

#9 - 01/05/2024 12:29 AM - Kalyan Battula
- Subtask #261 added

#10 - 01/05/2024 12:31 AM - Kalyan Battula
- Subtask #263 added

#11 - 01/05/2024 12:32 AM - Kalyan Battula
- Subtask #265 added

#12 - 01/05/2024 12:34 AM - Kalyan Battula
- Subtask #267 added

#13 - 01/05/2024 12:36 AM - Kalyan Battula
- Subtask #268 added

#14 - 01/05/2024 12:39 AM - Kalyan Battula
- Subtask #269 added

#15 - 01/05/2024 12:41 AM - Kalyan Battula
- Subtask #272 added

#16 - 01/05/2024 12:44 AM - Kalyan Battula
- Subtask #275 added

#17 - 01/05/2024 12:46 AM - Kalyan Battula
- Subtask #278 added

#18 - 01/05/2024 12:50 AM - Kalyan Battula
- Subtask #282 added

#19 - 01/05/2024 12:51 AM - Kalyan Battula
- Subtask #284 added

#20 - 01/05/2024 12:53 AM - Kalyan Battula
- Subtask #286 added

#21 - 02/05/2024 03:37 AM - Kalyan Battula
- Subtask #347 added

#22 - 03/05/2024 05:27 AM - Sivakanth Kesiraju

- Target version set to Security Audit
